org.apache.tinkerpop.gremlin.language.grammar

## Class GremlinParser.TraversalStrategyContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.tinkerpop.gremlin.language.grammar.GremlinParser.TraversalStrategyContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    GremlinParser

      public static class GremlinParser.TraversalStrategyContext
      extends org.antlr.v4.runtime.ParserRuleContext

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalStrategyContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)`
    `org.antlr.v4.runtime.tree.TerminalNode` | `COLON()`
    `List<org.antlr.v4.runtime.tree.TerminalNode>` | `COMMA()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `COMMA(int i)`
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `int` | `getRuleIndex()`
    `GremlinParser.IntegerLiteralContext` | `integerLiteral()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `LPAREN()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `NEW()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `RPAREN()`
    `List<GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext>` | `traversalStrategyArgs_EdgeLabelVerificationStrategy()`
    `GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext` | `traversalStrategyArgs_EdgeLabelVerificationStrategy(int i)`
    `List<GremlinParser.TraversalStrategyArgs_PartitionStrategyContext>` | `traversalStrategyArgs_PartitionStrategy()`
    `GremlinParser.TraversalStrategyArgs_PartitionStrategyContext` | `traversalStrategyArgs_PartitionStrategy(int i)`
    `GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext` | `traversalStrategyArgs_ProductiveByStrategy()`
    `List<GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext>` | `traversalStrategyArgs_ReservedKeysVerificationStrategy()`
    `GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext` | `traversalStrategyArgs_ReservedKeysVerificationStrategy(int i)`
    `List<GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext>` | `traversalStrategyArgs_SubgraphStrategy()`
    `GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext` | `traversalStrategyArgs_SubgraphStrategy(int i)`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TraversalStrategyContext

          public TraversalStrategyContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                          int invokingState)

  - ### Method Detail

    - #### NEW

          public org.antlr.v4.runtime.tree.TerminalNode NEW()

    - #### LPAREN

          public org.antlr.v4.runtime.tree.TerminalNode LPAREN()

    - #### RPAREN

          public org.antlr.v4.runtime.tree.TerminalNode RPAREN()

    - #### traversalStrategyArgs_PartitionStrategy

          public List<GremlinParser.TraversalStrategyArgs_PartitionStrategyContext> traversalStrategyArgs_PartitionStrategy()

    - #### traversalStrategyArgs_PartitionStrategy

          public GremlinParser.TraversalStrategyArgs_PartitionStrategyContext traversalStrategyArgs_PartitionStrategy(int i)

    - #### COMMA

          public List<org.antlr.v4.runtime.tree.TerminalNode> COMMA()

    - #### COMMA

          public org.antlr.v4.runtime.tree.TerminalNode COMMA(int i)

    - #### COLON

          public org.antlr.v4.runtime.tree.TerminalNode COLON()

    - #### integerLiteral

          public GremlinParser.IntegerLiteralContext integerLiteral()

    - #### traversalStrategyArgs_SubgraphStrategy

          public List<GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext> traversalStrategyArgs_SubgraphStrategy()

    - #### traversalStrategyArgs_SubgraphStrategy

          public GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext traversalStrategyArgs_SubgraphStrategy(int i)

    - #### traversalStrategyArgs_ProductiveByStrategy

          public GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext traversalStrategyArgs_ProductiveByStrategy()

    - #### traversalStrategyArgs_EdgeLabelVerificationStrategy

          public List<GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext> traversalStrategyArgs_EdgeLabelVerificationStrategy()

    - #### traversalStrategyArgs_EdgeLabelVerificationStrategy

          public GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext traversalStrategyArgs_EdgeLabelVerificationStrategy(int i)

    - #### traversalStrategyArgs_ReservedKeysVerificationStrategy

          public List<GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext> traversalStrategyArgs_ReservedKeysVerificationStrategy()

    - #### traversalStrategyArgs_ReservedKeysVerificationStrategy

          public GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext traversalStrategyArgs_ReservedKeysVerificationStrategy(int i)

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### accept

          public <T> T accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.